function ShowGameTypeMsg(){
var _v = jQuery("#GameType").val();	

var msg ='<div class=" ContBox LH30 W400 TextCenter"><table class="Table W">'
//	+'<tr ><th colspan="2" class=" BgMenu FWB">游戏类型说明</th></tr>'
	+'<tr><th>值</th><th>说明</th></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="0" '+ (_v==0?"checked":"") + ' />0 &nbsp;&nbsp;&nbsp;&nbsp;</td><td> 充值，打卡，赠送</td></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="1" '+ (_v==1?"checked":"") + ' />1 &nbsp;&nbsp;&nbsp;&nbsp;</td><td> 竞拍成交或竞拍保价</td></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="2" '+ (_v==2?"checked":"") + ' />2 &nbsp;&nbsp;&nbsp;&nbsp;</td><td> 秒杀成交或秒杀保价</td></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="3" '+ (_v==3?"checked":"") + ' />3 &nbsp;&nbsp;&nbsp;&nbsp;</td><td> 彩票</td></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="4" '+ (_v==4?"checked":"") + ' />4 &nbsp;&nbsp;&nbsp;&nbsp;</td><td>投标</td></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="1501" '+ (_v==1501?"checked":"") + ' />1501</td><td>折扣商城</td></tr>'
	+'<tr><td><input type="radio" name="radiogametype" value="1601" '+ (_v==1601?"checked":"") + ' />1601</td><td>积分商城</td></tr>'
	+'<tr><td colspan="2" class="Red">说明：一旦赠送成功，则“游戏类型”不允许再次修改，仅允许查看！</td></tr>'

	+'</table></DIV>';
Common.EditDialog ("pslupdate","游戏类型取值说明:",msg);
	jQuery(document).ready(function(){
		//var o = jQuery("input[name='radiogametype']");
		//var o = jQuery(":radio[name='radiogametype']");
		jQuery(":radio[name='radiogametype']").click(function(){
			if(jQuery("#VidBaseValue").val()<1)
			jQuery("#GameType").val(this.value);
		});
	});
}
//----------------------- Dialog -----------------------------------------------------------------------------

jQuery(document).ready(function(){

//	alert(o);
});
function ChooseUser1(UserId, SpanId,InputId,ChooseType)
{
	var _dlgId = "Dom_UserChoose_Dlg";
	var s = jQuery("#inputSelectText").val();
	var _url="../Dialog/getDialogData_1.aspx";
	var _data = {"InfoId":UserId,"SpanId":SpanId,"InputId":InputId,"ChooseType":ChooseType, "DialogId":_dlgId,"unnc":s,"p":1};	
	Common.EditFunction("GET",_url,_data,_dlgId,"会员选择");
}

function ChooseUser2(UserId, SpanId,InputId,ChooseType)
{
	var _dlgId = "Dom_ProductChoose_Dlg";
	var s = jQuery("#inputSelectText").val();
	var _url="../Dialog/getDialogData_2.aspx";
	var _data={"InfoId":UserId,"SpanId":SpanId,"InputId":InputId,"ChooseType":ChooseType, "DialogId":_dlgId,"unnc":s,"p":1};	
	Common.EditFunction("GET",_url,_data,_dlgId,"商品选择");
}
//星期五,2011年12月2日 添加竞拍、商品的自动切换，让系统支持折扣积分等产品的晒图
function ChooseUser3(UserId, SpanId,InputId,ChooseType)
{	var _GameType = jQuery("#GameType").val();
	if(_GameType<1)
	{
		Alert("游戏类型为‘充值，打卡，赠送’，游戏编号值仅为0。");		
	}
	else
	{
	var _dlgId = "Dom_ProductChoose_Dlg";
	var s = jQuery("#inputSelectText").val();
	var _url="../Dialog/getDialogData_3.aspx";	var _tit = "游戏选择";
	if(_GameType==1501 || _GameType==1601)  {_url="../Dialog/getDialogData_2.aspx"; _tit = "商品选择"}

	var _data={"InfoId":UserId,"SpanId":SpanId,"InputId":InputId,"ChooseType":ChooseType,"GameType":_GameType, "DialogId":_dlgId,"unnc":s,"p":1};	
	Common.EditFunction("GET",_url,_data,_dlgId,_tit);
	}
}

//查看详细信息(11:23 2011-11-28)
function ShowDetailInfo(Flag,id)
{
	var GameType = jQuery("#GameType").val();
	
	if( Flag==3 && (GameType<1 || id<1)){ Alert("没有该数据。");return ;}
	
	var _dlgId = "Dom_ShowDetailInfo_Dlg";
	var _url = '../Dialog/getDialogInfo_2.aspx';
	var _data={'id':id,"GameType":GameType};
	var _tit = "商品详细信息";
	if(Flag==1){ _url = '../Dialog/getDialogInfo_1.aspx';_tit = "会员详细信息";}
	else if(Flag==1){_url = '../Dialog/getDialogInfo_2.aspx';_tit = "商品详细信息";}
	else if(Flag==3){_url = '../Dialog/getDialogInfo_3.aspx';
		if(GameType==1){_tit = "第"+ id +"期 " + "竞拍";}
		else if(GameType==2){_tit = "第"+ id +"期 " + "秒杀";}
		else if(GameType==3){_tit ="第"+ id +"期 " +  "彩票";}
		else if(GameType==4){_tit ="第"+ id +"期 " +  "投注";}
		else if(GameType==1501){_tit ="折扣商品";_url = '../Dialog/getDialogInfo_2.aspx';}
		else if(GameType==1601){_tit =  "积分兑换商品";_url = '../Dialog/getDialogInfo_2.aspx';}
		else _tit =   "第"+ id +"期 " +  "竞拍";
	}
	Common.EditFunction("GET",_url,_data,_dlgId,  _tit+" 详细信息");
}

//-----------------------Save -----------------------------------------------------------------------------

function UpdateData(){		
		var _IsReserve = jQuery("#IsReserve").val();
		if(_IsReserve<1) {
			Alert("此赠送/返还信息由系统自动产生的，不提供此类信息的再编辑功能，仅供查看。");return false;
		}
		var _uid = jQuery("#UserId").val();
		var _vid = jQuery("#vid").val();
		if(_uid<1 ||_vid<1){//不存在者不可操作<%=DataInfo.ID%><=0
			Alert("没有对应的会员编号、游戏编号等");return false;
		}
		var _confirmMsg = "　　为了保证不重复赠送或返还，在保存时，系统将先从会员的帐户中扣除对应的旧的点值和积分值；"
		+"等保存后，系统将为会员增加新的点值和积分值。"
		+ "\r\n\r\n　　由于要操作会员的帐户，因此如果您没有确定好要进行修改的话，请点击'取消'按钮，以免产生误操作。";
		_confirmMsg  ='<div class="W500 LH30 FS14 Red">'+ _confirmMsg +'</DIV>';		
//弹出框ID，标题，显示内容，OK操作，取消操作
Common.Confirm ("psl_confirm","保存前确认",_confirmMsg.replace("\r\n","<br />"),function(){SaveSubChild();});
		return false;
	}

function SaveSubChild()
{
//alert(1);	Common.Refresh();
//充值主键：VID,GAMETYPE,USERID
		var pass= true;
		if(pass){
			var queryString = $('#form_add').serialize()
			$.ajax({	async:false,
				type: "POST",
				url: "../PointSettingLog/update.aspx?IsAdd=2",
				data:queryString,
				cache: false,
				success: function(msg){
						if(msg>0){ //先保留msg这个值以备以后使用
							Alert('保存并赠送/返还成功!',1);
							var _pageflagid=jQuery("#PageFlagId").val();
							if(_pageflagid==1) Common.Refresh();//本部修改页时要刷新，其他页调用时不刷新。	
							else{var _dlgId = jQuery("#_dlgId");if(_dlgId.length>0) Common.EditDialgClose(_dlgId.val());}		
						}else{msg = "操作失败,请检查各项输入是否正确或网络连接状态.代码("+ msg +")";AlertErr(msg ,1 );}
				},error:function(msg){AlertErr("写入数据库异常.",1);}				
			});		
			
		}
		else
		{
			AlertErr("出错啦:连接异常,操作失败",1);
		}
return false;
}